# PhasicFlow: solvers/sphereGranFlow/createDEMComponents.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

createDEMComponents.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

| REPORT (0)<<"\nReading sphere particles . . ."<< END_REPORT

## Variables

pFlow::sphereParticles | sphParticles (Control, proprties)
auto | sphInsertion
auto | interactionPtr
auto & | sphInteraction = interactionPtr()

## Function Documentation

## REPORT()

REPORT | ( | 0 |  | ) |

## Variable Documentation

## sphParticles

pFlow::sphereParticles sphParticles(Control, proprties)

## sphInsertion

auto sphInsertion

Initial value:
= pFlow::sphereInsertion(
sphParticles,
sphParticles.spheres())

Definition at line 39 of file createDEMComponents.hpp.

Referenced by main().

## interactionPtr

auto interactionPtr

Initial value:
= pFlow::interaction::create(
Control,
sphParticles,
surfGeometry
)

Definition at line 44 of file createDEMComponents.hpp.

## sphInteraction

auto& sphInteraction = interactionPtr()

Definition at line 50 of file createDEMComponents.hpp.

Referenced by main().

pFlow::interaction::create
static uniquePtr< interaction > create(systemControl &control, const particles &prtcl, const geometry &geom)
Definition: interaction.cpp:48
pFlow::sphereParticles::spheres
const auto & spheres() const
const reference to shapes object
Definition: sphereParticles.hpp:150
surfGeometry
auto & surfGeometry
Definition: setSurfaceGeometry.hpp:26
pFlow::sphereInsertion
Insertion< sphereShape > sphereInsertion
Definition: Insertions.hpp:33
sphParticles
pFlow::sphereParticles sphParticles(Control, proprties)
Control
auto & Control
Definition: initialize_Control.hpp:47